Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MemoryStoreFactory Class Reference

Creates a memory based implementation of MessageStore. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MemoryStoreFactory:
[legend]
Collaboration diagram for FIX::MemoryStoreFactory:
[legend]

List of all members.

## Public Member Functions

MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)

## Detailed Description

Creates a memory based implementation of MessageStore.

This will lose all data on process termination. This class should only be used for test applications, never in production.

Definition at line 55 of file MessageStore.h.

## Member Function Documentation

MessageStore * FIX::MemoryStoreFactory::create | ( | const SessionID & |  | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 31 of file MessageStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00032 { QF_STACK_PUSH(MemoryStoreFactory::create)
    00033   return new MemoryStore();
    00034   QF_STACK_POP
    00035 }

void FIX::MemoryStoreFactory::destroy | ( | MessageStore * | pStore | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 37 of file MessageStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00038 { QF_STACK_PUSH(MemoryStoreFactory::destroy)
    00039   delete pStore;
    00040   QF_STACK_POP
    00041 }

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.cpp